Bug 274501 - Bugzilla increases ID always +10 and not +1
Bugzilla increases ID always +10 and not +1
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs (Show other bugs)
All All
medium Severity low (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
Depends On:
  Show dependency treegraph
Reported: 2007-09-02 07:17 EDT by Robert Scheck
Modified: 2013-06-23 22:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-02 19:55:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2007-09-02 07:17:49 EDT
Description of problem:
It looks to me like the ID for new bug reports is always +10 increased and not 
+1. A good example for this is bug #274481 and the right away after created bug 
#274491 - the bugs between them don't seem to exist. If I am right, this bug 
report will be ID #274501 or #274511.

Version-Release number of selected component (if applicable):
Bugzilla Version 2.18-rh

How reproducible:
For me everytime currently.

Actual results:
Bugzilla increases ID always +10 and not +1

Expected results:
Normal behaviour like in the past?!
Comment 1 Noura El hawary 2007-09-02 19:55:29 EDT
With our new move to a replicated MySQL server environment, we had to change the
increment value to 20. This allows future growth when dealing with master to
master server replication. So this would explain what you are seeing.
Comment 2 Bill Nottingham 2007-09-18 14:21:07 EDT
mysql can't actually keep the sequence ID in sync across multiple masters?
Comment 3 David Lawrence 2007-09-18 14:57:58 EDT
This link explains some of the reason it must be configured this way.


It is also well documented in the MySQL documentation but I can't find the link
at the moment. We plan to have multiple masters spread around geographically in
the future. The gaps you have in your primary keys determine how many masters
you can have so currently this would limit us to 10. We used to have this set to
20 and 
since lowered it to 10.


Note You need to log in before you can comment on or make changes to this bug.